package com.tuoheng.admin.service;

import com.tuoheng.admin.request.inspection.UploadFlightUrlRequest;
import com.tuoheng.admin.request.third.DspCallbackRequest;
import com.tuoheng.admin.service.inspection.upload.UploadFlightUrlService;
import com.tuoheng.admin.service.third.dsp.IDspCallbackService;
import lombok.extern.slf4j.Slf4j;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

@Slf4j
@RunWith(SpringRunner.class)
@SpringBootTest
public class UploadFlightUrlServiceTest {

    @Autowired
    private UploadFlightUrlService uploadFlightUrlService;

    @Test
    public void testUploadFlightUrl() {
        UploadFlightUrlRequest request = new UploadFlightUrlRequest();
        request.setTaskCode("XJRW20231207173128");
        request.setVideoUrl("https://vod.play.t-aaron.com/customerTrans/edc96ea2115a0723a003730956208134/c3cb5f8-18c46dc567f-0004-f90c-f2c-7ec68.mp4");
        request.setSrtUrl("https://ta-tech-image.oss-cn-shanghai.aliyuncs.com/imagedir/6pjsutni0ut_1701995902767.SRT");
        request.setType(1);
        uploadFlightUrlService.uploadFlightUrl(request);
    }

}
